%define major 0
%define libname %mklibname globus-xio-gsi-driver %{major}
%define develname %mklibname globus-xio-gsi-driver -d

Name:		globus-xio-gsi-driver
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	5.3
Release:	%mkrel 2
Summary:	Globus Toolkit - Globus XIO GSI Driver

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-gssapi-error) >= 4
BuildRequires:	pkgconfig(globus-gss-assist) >= 11
BuildRequires:	pkgconfig(globus-xio) >= 3
BuildRequires:	pkgconfig(globus-gssapi-gsi) >= 13
BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	globus-xio-doc >= 3
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	automake >= 1.11
BuildRequires:	autoconf >= 2.60
BuildRequires:	libtool >= 2.2
BuildRequires:  pkgconfig

%package -n %{develname}
Summary:	Globus Toolkit - Globus XIO GSI Driver Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-gssapi-error) >= 4
Requires:	pkgconfig(globus-gss-assist) >= 11
Requires:	pkgconfig(globus-xio) >= 3
Requires:	pkgconfig(globus-gssapi-gsi) >= 13

%package doc
Summary:	Globus Toolkit - Globus XIO GSI Driver Documentation Files
Group:		Documentation
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:	noarch
%endif
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus XIO GSI Driver

%package -n %{libname}
Summary: Globus Toolkit - Globus XIO GSI Driver
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus XIO GSI Driver

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus XIO GSI Driver Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus XIO GSI Driver Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus*.so*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/man3/*




%changelog
* Sat Apr 02 2022 umeabot <umeabot> 5.3-2.mga9
+ Revision: 1840343
- Mageia 9 Mass Rebuild

* Fri Dec 18 2020 joequant <joequant> 5.3-1.mga8
+ Revision: 1660778
- update to 5.3

* Mon May 04 2020 joequant <joequant> 5.2-1.mga8
+ Revision: 1578647
- update to 5.2
- update to 5.2

* Tue Apr 28 2020 joequant <joequant> 4.1-1.mga8
+ Revision: 1572742
- imported package globus-xio-gsi-driver

